<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <!-- <div class="search-box-wrapper">
                        <form>
                            <input type="text" name="srch" placeholder="Job name, Training etc..">
                            <input type="submit" name="">
                        </form>
                    </div> -->
                    <form [formGroup]="applyFilter">
                    <div class="filter-wrap-outer">
                        <div class="shadow-box">
                            <div class="filter-head" [ngClass]=" isSlider ? 'open' :''"
                                (click)="toggleCollapsibleDiv()">
                                <h5>Filter</h5> <i><img src="assets/images/down-arw-rounded.png" alt=""></i>
                            </div>
                            <div class="filter-wrap-main" *ngIf="isSlider">
                                <div class="fltr-job-roles">
                                    <h5>Job Role</h5>
                                    <select class="form-control select-box"  (change)="getRoleSkills($event)" formControlName="selectRole">
                                        <option value="" disabled>Select Job Role</option>
                                        <option value="{{role.roleName}}" *ngFor="let role of roles">{{role.roleName}}</option>
                                    </select>
                                </div>
                                <div class="fltr-skls" *ngIf="isSkillAvailable && skills?.length">
                                    <h5>Skills</h5>
                                    <ul>
                                        <li *ngFor="let skill of skills;let i = index"><label>
                                            <input type="checkbox" name=a{{i}} [checked]='skill.skillId' (change)="onCheckSkill($event.target.checked,skill.skillName,skill.skillId)" formControlName="selectSkill">
                                                {{skill.skillName}}</label>
                                        </li>
                                    </ul>
                                </div>
                                <div class="fltr-skls" *ngIf="isAvailabilityAvailable">
                                    <h5>Available</h5>
                                    <ul>
                                        <li><label><input type="radio" checked> Random</label></li>
                                        <li><label><input type="radio"> Availibility</label></li>
                                    </ul>
                                </div>
                                <!-- <div class="fltr-skls" *ngIf="isRatingAvailable">
                                    <h5>Rating</h5>
                                    <ul>
                                        <li><label><input type="radio" name="rating" checked value="1"
                                                    (ngModel)="rating" (change)="onCheckRating('1')"> 1 or Above</label>
                                        </li>
                                        <li><label><input type="radio" name="rating" value="2" (ngModel)="rating"
                                                    (change)="onCheckRating('2')"> 2 or Above</label></li>
                                        <li><label><input type="radio" name="rating" value="3" (ngModel)="rating"
                                                    (change)="onCheckRating('3')"> 3 or Above</label></li>
                                        <li><label><input type="radio" name="rating" value="4" (ngModel)="rating"
                                                    (change)="onCheckRating('4')"> 4 or Above</label></li>
                                    </ul>
                                </div> -->
                            </div>
                        </div>
                        <div class="apld-filters" *ngIf="isSlider">
                            <ul>
                                <li class="btn border" *ngFor="let keyword of keywordss" >{{keyword}}</li>
                                <li class="btn border" *ngFor="let skilll of keywords">{{skilll}}</li>
                            </ul>
                        </div>
                        <div class="text-center" *ngIf ="isSlider"><a href="javascript:void(0);" class="btn"
                            (click)="getFilteredCandidates()">{{text}}</a></div>
                    </div>
                </form>

                    <!-- Tier 1 -->
                    <div *ngIf="candidates?.TIER">
                        <div class="shadow-box prof-lst"
                            *ngFor="let candidate of candidates?.TIER.results; let i = index">
                            <h4>
                                <div class="pof-ttl-img"><span class="avatar"><img
                                            [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                            alt=""></span>{{candidate.fname}} {{candidate.lname}} 
                                            <span class="fav" >
                                            <a href="javascript:void(0);" (click)="removeFromFav(candidate.employerId , candidate.candidateId)" *ngIf="candidate.isFavourite" style="color: #ad00ba;"  ><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                            <a href="javascript:void(0);" (click)="saveAsFav(candidate.employerId , candidate.candidateId)"  *ngIf="!candidate.isFavourite" style="color: #ad00ba;" ><i class="far fa-thumbs-up" aria-hidden="true"></i></a>
                                            </span>
                                        </div>
                                <span *ngIf="!candidate.isOffered && !candidate.isSentInvitation && candidate.isCandidateAvailable"><input type="checkbox" name="candidate{{i}}"
                                        (change)="selectCandidate($event.target.checked,candidate)"></span>
                                <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                                <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span>
                                <span *ngIf="candidate.isHired" class="badge badge-success">Hired</span>

                            </h4>
                            <p class="address-prof"><img src="assets/images/location-red.png"> {{candidate.geolocation.locationName}}</p>

                            <p class="loc-status avl" *ngIf='candidate.isCandidateAvailable'>Available</p>
                            <p class="loc-status unv" *ngIf='!candidate.isCandidateAvailable'>Unavailable</p>
                            <p class="prof-skl">Skills: <span
                                    *ngFor="let skill of candidate.skillDetails; let i=index" >
                                    <span *ngIf="i>0">, </span>
                                    {{skill.skillName}}  
                                </span></p>
                            <div class="prof-action">


                                <div class="r-star stars">
                                    <ul class="rating inline-ul">
                                        <li *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                            'fa-star': candidate.rating >= i + 1}">
                                            </i>
                                        </li>
                                        <span>  ({{candidate?.rating}})  </span>
                                    </ul>
                                    <ng-template #emptyStar>
                                        <i class="far fa-star"></i>
                                    </ng-template>
                                </div>
                                <a href="javascript:void(0);"
                                    (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId,candidate.rating,candidate.profilePic,candidate.isCandidateAvailable)"
                                    class="btn">View Profile</a>
                            </div>
                        </div>
                        <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching"  *ngIf="totalItems"></pagination>
                    </div>
                    <div class="text-center" *ngIf="candidates?.TIER">
                            <a href="javascript:void(0);" class="btn" (click)="aotOfferAll()">Offer</a>
                    </div>

                    <div *ngIf="candidates?.TIER1">
                        <div class="shadow-box prof-lst"
                            *ngFor="let candidate of candidates?.TIER1.results; let i = index">
                            <h4>
                                <div class="pof-ttl-img"><span class="avatar"><img
                                            [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                            alt=""></span>{{candidate.fname}} {{candidate.lname}} <span class="fav" >
                                                    <a href="javascript:void(0);" (click)="removeFromFav(candidate.employerId , candidate.candidateId)" *ngIf="candidate.isFavourite" style="color: #ad00ba;" ><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                                    <a href="javascript:void(0);" (click)="saveAsFav(candidate.employerId , candidate.candidateId)"  *ngIf="!candidate.isFavourite" style="color: #ad00ba;"><i class="far fa-thumbs-up" aria-hidden="true"></i></a>
                                                    </span>
                                                </div>
                                <span *ngIf="!candidate.isOffered && !candidate.isSentInvitation && candidate.isCandidateAvailable"><input type="checkbox" name="candidate{{i}}"
                                        (change)="selectCandidate($event.target.checked,candidate)"></span>
                                <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                                <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span>
                                <span *ngIf="candidate.isHired" class="badge badge-success">Hired</span>

                            </h4>
                            <p class="address-prof"><img src="assets/images/location-red.png"> {{candidate.geolocation.locationName}}</p>

                            <p class="loc-status avl" *ngIf='candidate.isCandidateAvailable'>Available</p>
                            <p class="loc-status unv" *ngIf='!candidate.isCandidateAvailable'>Unavailable</p>
                            <p class="prof-skl">Skills: <span
                                    *ngFor="let skill of candidate.skillDetails">{{skill.skillName}} </span></p>
                            <div class="prof-action">


                                <div class="r-star stars">
                                    <ul class="rating inline-ul">
                                        <li *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                            'fa-star': candidate.rating >= i + 1}">
                                            </i>
                                        </li>
                                        <span>  ({{candidate?.rating}})  </span>
                                    </ul>
                                    <ng-template #emptyStar>
                                        <i class="far fa-star"></i>
                                    </ng-template>
                                </div>
                                <a href="javascript:void(0);"
                                    (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId,candidate.rating,candidate.profilePic,candidate.isCandidateAvailable)"
                                    class="btn">View Profile</a>
                            </div>
                        </div>
                        <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching"  *ngIf="totalItems"></pagination>
                    </div>

                    <div *ngIf="candidatesss?.TIER1">
                        <div class="shadow-box prof-lst"
                            *ngFor="let candidate of candidatesss?.TIER1.results; let i = index">
                            <h4>
                                <div class="pof-ttl-img"><span class="avatar"><img
                                            [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                            alt=""></span>{{candidate.fname}} {{candidate.lname}} <span class="fav" >
                                                    <a href="javascript:void(0);" (click)="removeFromFav(candidate.employerId , candidate.candidateId)" *ngIf="candidate.isFavourite" style="color: #ad00ba;" ><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                                    <a href="javascript:void(0);" (click)="saveAsFav(candidate.employerId , candidate.candidateId)"  *ngIf="!candidate.isFavourite" style="color: #ad00ba;"><i class="far fa-thumbs-up" aria-hidden="true"></i></a>
                                                    </span>
                                                </div>
                                <span *ngIf="!candidate.isOffered && !candidate.isSentInvitation && candidate.isCandidateAvailable"><input type="checkbox" name="candidate{{i}}"
                                        (change)="selectCandidate($event.target.checked,candidate)"></span>
                                <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                                <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span>
                                <span *ngIf="candidate.isHired" class="badge badge-success">Hired</span>

                            </h4>
                            <p class="address-prof"><img src="assets/images/location-red.png"> {{candidate.geolocation.locationName}}</p>

                            <p class="loc-status avl" *ngIf='candidate.isCandidateAvailable'>Available</p>
                            <p class="loc-status unv" *ngIf='!candidate.isCandidateAvailable'>Unavailable</p>
                            <p class="prof-skl">Skills: <span
                                    *ngFor="let skill of candidate.skillDetails">{{skill.skillName}} </span></p>
                            <div class="prof-action">


                                <div class="r-star stars">
                                    <ul class="rating inline-ul">
                                        <li *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                            'fa-star': candidate.rating >= i + 1}">
                                            </i>
                                        </li>
                                        <span>  ({{candidate?.rating}})  </span>
                                    </ul>
                                    <ng-template #emptyStar>
                                        <i class="far fa-star"></i>
                                    </ng-template>
                                </div>
                                <a href="javascript:void(0);"
                                    (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId,candidate.rating,candidate.profilePic,candidate.isCandidateAvailable)"
                                    class="btn">View Profile</a>
                            </div>
                        </div>
                        <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" (pageChanged)="getPaginateforTireOne($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching"  *ngIf="totalItems"></pagination>
                    </div>
                    <!-- Tier 2 -->
                    <!-- && candidates.TIER2.length>0 -->
                    
                    <div *ngIf="candidates?.TIER2 ">
                    <!-- <div class="text-center" *ngIf="candidates?.TIER2 && candidates?.TIER2.results"><u> <h4>Candidates who is not employee and unfavourite</h4></u></div> -->

                        <div class="shadow-box prof-lst"
                            *ngFor="let candidate of candidates?.TIER2.results; let i = index">
                            <h4>
                                <div class="pof-ttl-img"><span class="avatar"><img
                                            [src]="candidate.profilePic?candidate.profilePic:'assets/images/avatar2.png'"
                                            alt=""></span>{{candidate.fname}} {{candidate.lname}} <span class="fav" >
                                                    <a href="javascript:void(0);" (click)="removeFromFav(candidate.employerId , candidate.candidateId)" *ngIf="candidate.isFavourite" style="color: #ad00ba;"><i class="fas fa-thumbs-up" aria-hidden="true"></i></a>
                                                    <a href="javascript:void(0);" (click)="saveAsFav(candidate.employerId , candidate.candidateId)"  *ngIf="!candidate.isFavourite" style="color: #ad00ba;"><i class="far fa-thumbs-up" aria-hidden="true"></i></a>
                                                    </span>
                                                </div>
                                            <span *ngIf="!candidate.isSentInvitation && !candidate.isOffered && candidate.isCandidateAvailable"><input type="checkbox" name="candidate{{i}}"
                                        (change)="selectCandidateToInvite($event.target.checked,candidate)"></span>
                                <span *ngIf="candidate.isOffered" class="badge badge-success">Offered</span>
                                <span *ngIf="candidate.isSentInvitation" class="badge badge-success">Invited</span>
                                <span *ngIf="candidate.isHired" class="badge badge-success">Hired</span>

                            </h4>
                        <p class="address-prof"><img src="assets/images/location-red.png"> {{candidate.geolocation.locationName}}</p>
                        <p class="loc-status avl" *ngIf='candidate.isCandidateAvailable'>Available</p>
                        <p class="loc-status unv" *ngIf='!candidate.isCandidateAvailable'>Unavailable</p>
                            <p class="prof-skl">Skills: <span
                                    *ngFor="let skill of candidate.skillDetails">{{skill.skillName}} </span></p>
                            <div class="prof-action">
                                <div class="r-star stars">
                                    <ul class="rating inline-ul">
                                        <li *ngFor="let star of stars; let i = index">
                                            <i class="fas fa-star" *ngIf="candidate.rating >= i + 0.5; else emptyStar"
                                                [ngClass]="{'fa-star-half-alt': candidate.rating >= i + 0.5 && candidate.rating < i + 1,
                                                            'fa-star': candidate.rating >= i + 1}">
                                            </i>
                                        </li>
                                        <span>  ({{candidate?.rating}})  </span>
                                    </ul>
                                    <ng-template #emptyStar>
                                        <i class="far fa-star"></i>
                                    </ng-template>
                                </div>
                                <a href="javascript:void(0);"
                                    (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId,candidate.rating,candidate.profilePic,candidate.isCandidateAvailable)"
                                    class="btn">View Profile</a>
                            </div>
                        </div>
                        <pagination [totalItems]="totalItems" [itemsPerPage]="itemsPerPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" (pageChanged)="getPaginateforTireTwo($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching"  *ngIf="totalItems"></pagination>
                    </div>
                    <!-- *ngIf="candidates && candidates.TIER2.results.length > 0?true:false" -->
                    <div class="text-center" *ngIf="candidates?.TIER2 && candidates?.TIER2.results">
                        <a href="javascript:void(0);" class="btn" (click)="aotInviteCandidates()">Invite Workers</a>
                    </div>
                    <ng-template #templateJobOffer > 
                            <div class="modal-header">
                             <h4 class="modal-title "> Notification</h4>
                            </div>
                        <div class="modal-body">
                            <h6 class="modal-title text-center">you have successfully Offered the candidates,Change the criteria through filter to show more candidate </h6>
                          
                        </div>
                    
                      
                      </ng-template>
                      <ng-template #JobOffer > 
                            <div class="modal-header">
                             <h4 class="modal-title "> Notification</h4>
                            </div>
                        <div class="modal-body">
                            <h6 class="modal-title text-center">No candidates found please change criteria in filter</h6>
                          
                        </div>
                    
                      
                      </ng-template>


                </div>
            </div>
        </div>
    </div>
</div>

<ng-template #informationPopUps>
    <div class="modal-header">
      <h4 class="modal-title "> Information </h4>
    </div>
    <div class="modal-body">
      <h3> {{masage}} </h3>
      <div class="btn-set" *ngIf='(paramValue == "option-2" && !inviteboolean) || paramValue == "option-3"'>
        <a href="javascript:void(0);" (click)="checkinfun('Yes')" class="btn border" style="margin:5px">Yes</a>
  
        <a href="javascript:void(0);" (click)="checkinfun('No')" class="btn border" style="margin:5px">No</a>
      </div>
      <div class="btn-set" *ngIf='paramValue == "option-1" || (paramValue == "option-2" && inviteboolean)'>
        <a href="javascript:void(0);" (click)="checkinfun('OK')" class="btn border" style="margin:5px">OK</a>
      </div>
    </div>
  </ng-template>

  <ng-template #alertpopup>
    <div class="modal-header">
      <h4 class="modal-title "> Information </h4>
    </div>
    <div class="modal-body">
      <h3> {{masage}} </h3>
      <div class="btn-set">
        <a href="javascript:void(0);" (click)="checkinfun('OK')" class="btn border" style="margin:5px">OK</a>
      </div>
    </div>
  </ng-template>